
set(hdrs
    include/pw/core/aabb.hpp
    include/pw/core/axisangle.hpp
    include/pw/core/color.hpp
    include/pw/core/core.hpp
    include/pw/core/debug.hpp
    include/pw/core/globals.hpp
    include/pw/core/material.hpp
    include/pw/core/math.hpp
    include/pw/core/matrix.hpp
    include/pw/core/quaternion.hpp
    include/pw/core/image.hpp
    include/pw/core/point.hpp
    include/pw/core/resource.hpp
    include/pw/core/rectangle.hpp
    include/pw/core/serialize.hpp
    include/pw/core/size.hpp
    include/pw/core/time.hpp
    include/pw/core/geometry.hpp
    include/pw/core/image.hpp
    include/pw/core/vector.hpp
    include/pw/core/matrix_transform.hpp
    )

set(misc
    ${CMAKE_SOURCE_DIR}/README.md
    ${CMAKE_SOURCE_DIR}/LICENSE
    ${CMAKE_SOURCE_DIR}/TODO.md
    )

set(srcs
    #    src/buffer.cpp
    src/core.cpp
    src/image.cpp
    src/debug.cpp
    # src/geometry.cpp
    # src/material.cpp
    # src/resource.cpp
    # src/serialize.cpp
    # src/time.cpp
    # src/image.cpp
    )

add_library(pwcore
    STATIC
    ${hdrs}
    ${srcs}
    ${misc}
    )

target_include_directories(
    pwcore
    PUBLIC
    include
    )

target_link_libraries(pwcore)

add_subdirectory(tests)
